Check "Use Interchange default" eligibility
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings/accounts/{accountId}/sources/{inventorySourceKey}/interchange-default-eligibility \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/accounts/{accountId}/sources/{inventorySourceKey}/interchange-default-eligibility"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/accounts/{accountId}/sources/{inventorySourceKey}/interchange-default-eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"eligible": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Check "Use Interchange default" eligibility
Check whether the “Use Interchange default” exit may be offered for this buyer account relationship and source: agent billing, a source-supported and currently healthy configured default, and permitted agent-billing execution scope. Never exposes the native default account id.
GET
/
account-mappings
/
accounts
/
{accountId}
/
sources
/
{inventorySourceKey}
/
interchange-default-eligibility
Check "Use Interchange default" eligibility
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings/accounts/{accountId}/sources/{inventorySourceKey}/interchange-default-eligibility \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/accounts/{accountId}/sources/{inventorySourceKey}/interchange-default-eligibility"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/accounts/{accountId}/sources/{inventorySourceKey}/interchange-default-eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"eligible": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Required string length:
1 - 255Required string length:
1 - 255Response
Check "Use Interchange default" eligibility
- Option 1
- Option 2
Whether the "Use Interchange default" exit may be offered for one relationship/source pair: agent billing, a source-supported and currently healthy configured default, and permitted agent_billing execution scope. Never exposes the native default account id.
Available options:
true